Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/119
Addresses512
/64 networksPart of one
Network
2c19:dd:c25:c25:dd:dd:dd:f200/119
First address
2c19:dd:c25:c25:dd:dd:dd:f200
Last address
2c19:dd:c25:c25:dd:dd:dd:f3ff
Addresses
512
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:0c25:0c25:00dd:00dd:00dd:f200
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
2.f.d.d.0.0.d.d.0.0.d.d.0.0.5.2.c.0.5.2.c.0.d.d.0.0.9.1.c.2.ip6.arpa
3.f.d.d.0.0.d.d.0.0.d.d.0.0.5.2.c.0.5.2.c.0.d.d.0.0.9.1.c.2.ip6.arpa
/119 is not on a 4-bit boundary, so it takes 2 /120 zones.
Split into smaller subnets/127

2c19:dd:c25:c25:dd:dd:dd:f200/119 makes 256 subnets of /127.

Subnets
#SubnetLast address
12c19:dd:c25:c25:dd:dd:dd:f200/1272c19:dd:c25:c25:dd:dd:dd:f201
22c19:dd:c25:c25:dd:dd:dd:f202/1272c19:dd:c25:c25:dd:dd:dd:f203
32c19:dd:c25:c25:dd:dd:dd:f204/1272c19:dd:c25:c25:dd:dd:dd:f205
42c19:dd:c25:c25:dd:dd:dd:f206/1272c19:dd:c25:c25:dd:dd:dd:f207
52c19:dd:c25:c25:dd:dd:dd:f208/1272c19:dd:c25:c25:dd:dd:dd:f209
62c19:dd:c25:c25:dd:dd:dd:f20a/1272c19:dd:c25:c25:dd:dd:dd:f20b
72c19:dd:c25:c25:dd:dd:dd:f20c/1272c19:dd:c25:c25:dd:dd:dd:f20d
82c19:dd:c25:c25:dd:dd:dd:f20e/1272c19:dd:c25:c25:dd:dd:dd:f20f
92c19:dd:c25:c25:dd:dd:dd:f210/1272c19:dd:c25:c25:dd:dd:dd:f211
102c19:dd:c25:c25:dd:dd:dd:f212/1272c19:dd:c25:c25:dd:dd:dd:f213
112c19:dd:c25:c25:dd:dd:dd:f214/1272c19:dd:c25:c25:dd:dd:dd:f215
122c19:dd:c25:c25:dd:dd:dd:f216/1272c19:dd:c25:c25:dd:dd:dd:f217
132c19:dd:c25:c25:dd:dd:dd:f218/1272c19:dd:c25:c25:dd:dd:dd:f219
142c19:dd:c25:c25:dd:dd:dd:f21a/1272c19:dd:c25:c25:dd:dd:dd:f21b
152c19:dd:c25:c25:dd:dd:dd:f21c/1272c19:dd:c25:c25:dd:dd:dd:f21d
162c19:dd:c25:c25:dd:dd:dd:f21e/1272c19:dd:c25:c25:dd:dd:dd:f21f
172c19:dd:c25:c25:dd:dd:dd:f220/1272c19:dd:c25:c25:dd:dd:dd:f221
182c19:dd:c25:c25:dd:dd:dd:f222/1272c19:dd:c25:c25:dd:dd:dd:f223
192c19:dd:c25:c25:dd:dd:dd:f224/1272c19:dd:c25:c25:dd:dd:dd:f225
202c19:dd:c25:c25:dd:dd:dd:f226/1272c19:dd:c25:c25:dd:dd:dd:f227
212c19:dd:c25:c25:dd:dd:dd:f228/1272c19:dd:c25:c25:dd:dd:dd:f229
222c19:dd:c25:c25:dd:dd:dd:f22a/1272c19:dd:c25:c25:dd:dd:dd:f22b
232c19:dd:c25:c25:dd:dd:dd:f22c/1272c19:dd:c25:c25:dd:dd:dd:f22d
242c19:dd:c25:c25:dd:dd:dd:f22e/1272c19:dd:c25:c25:dd:dd:dd:f22f
252c19:dd:c25:c25:dd:dd:dd:f230/1272c19:dd:c25:c25:dd:dd:dd:f231
262c19:dd:c25:c25:dd:dd:dd:f232/1272c19:dd:c25:c25:dd:dd:dd:f233
272c19:dd:c25:c25:dd:dd:dd:f234/1272c19:dd:c25:c25:dd:dd:dd:f235
282c19:dd:c25:c25:dd:dd:dd:f236/1272c19:dd:c25:c25:dd:dd:dd:f237
292c19:dd:c25:c25:dd:dd:dd:f238/1272c19:dd:c25:c25:dd:dd:dd:f239
302c19:dd:c25:c25:dd:dd:dd:f23a/1272c19:dd:c25:c25:dd:dd:dd:f23b
312c19:dd:c25:c25:dd:dd:dd:f23c/1272c19:dd:c25:c25:dd:dd:dd:f23d
322c19:dd:c25:c25:dd:dd:dd:f23e/1272c19:dd:c25:c25:dd:dd:dd:f23f
332c19:dd:c25:c25:dd:dd:dd:f240/1272c19:dd:c25:c25:dd:dd:dd:f241
342c19:dd:c25:c25:dd:dd:dd:f242/1272c19:dd:c25:c25:dd:dd:dd:f243
352c19:dd:c25:c25:dd:dd:dd:f244/1272c19:dd:c25:c25:dd:dd:dd:f245
362c19:dd:c25:c25:dd:dd:dd:f246/1272c19:dd:c25:c25:dd:dd:dd:f247
372c19:dd:c25:c25:dd:dd:dd:f248/1272c19:dd:c25:c25:dd:dd:dd:f249
382c19:dd:c25:c25:dd:dd:dd:f24a/1272c19:dd:c25:c25:dd:dd:dd:f24b
392c19:dd:c25:c25:dd:dd:dd:f24c/1272c19:dd:c25:c25:dd:dd:dd:f24d
402c19:dd:c25:c25:dd:dd:dd:f24e/1272c19:dd:c25:c25:dd:dd:dd:f24f
412c19:dd:c25:c25:dd:dd:dd:f250/1272c19:dd:c25:c25:dd:dd:dd:f251
422c19:dd:c25:c25:dd:dd:dd:f252/1272c19:dd:c25:c25:dd:dd:dd:f253
432c19:dd:c25:c25:dd:dd:dd:f254/1272c19:dd:c25:c25:dd:dd:dd:f255
442c19:dd:c25:c25:dd:dd:dd:f256/1272c19:dd:c25:c25:dd:dd:dd:f257
452c19:dd:c25:c25:dd:dd:dd:f258/1272c19:dd:c25:c25:dd:dd:dd:f259
462c19:dd:c25:c25:dd:dd:dd:f25a/1272c19:dd:c25:c25:dd:dd:dd:f25b
472c19:dd:c25:c25:dd:dd:dd:f25c/1272c19:dd:c25:c25:dd:dd:dd:f25d
482c19:dd:c25:c25:dd:dd:dd:f25e/1272c19:dd:c25:c25:dd:dd:dd:f25f
492c19:dd:c25:c25:dd:dd:dd:f260/1272c19:dd:c25:c25:dd:dd:dd:f261
502c19:dd:c25:c25:dd:dd:dd:f262/1272c19:dd:c25:c25:dd:dd:dd:f263
512c19:dd:c25:c25:dd:dd:dd:f264/1272c19:dd:c25:c25:dd:dd:dd:f265
522c19:dd:c25:c25:dd:dd:dd:f266/1272c19:dd:c25:c25:dd:dd:dd:f267
532c19:dd:c25:c25:dd:dd:dd:f268/1272c19:dd:c25:c25:dd:dd:dd:f269
542c19:dd:c25:c25:dd:dd:dd:f26a/1272c19:dd:c25:c25:dd:dd:dd:f26b
552c19:dd:c25:c25:dd:dd:dd:f26c/1272c19:dd:c25:c25:dd:dd:dd:f26d
562c19:dd:c25:c25:dd:dd:dd:f26e/1272c19:dd:c25:c25:dd:dd:dd:f26f
572c19:dd:c25:c25:dd:dd:dd:f270/1272c19:dd:c25:c25:dd:dd:dd:f271
582c19:dd:c25:c25:dd:dd:dd:f272/1272c19:dd:c25:c25:dd:dd:dd:f273
592c19:dd:c25:c25:dd:dd:dd:f274/1272c19:dd:c25:c25:dd:dd:dd:f275
602c19:dd:c25:c25:dd:dd:dd:f276/1272c19:dd:c25:c25:dd:dd:dd:f277
612c19:dd:c25:c25:dd:dd:dd:f278/1272c19:dd:c25:c25:dd:dd:dd:f279
622c19:dd:c25:c25:dd:dd:dd:f27a/1272c19:dd:c25:c25:dd:dd:dd:f27b
632c19:dd:c25:c25:dd:dd:dd:f27c/1272c19:dd:c25:c25:dd:dd:dd:f27d
642c19:dd:c25:c25:dd:dd:dd:f27e/1272c19:dd:c25:c25:dd:dd:dd:f27f
652c19:dd:c25:c25:dd:dd:dd:f280/1272c19:dd:c25:c25:dd:dd:dd:f281
662c19:dd:c25:c25:dd:dd:dd:f282/1272c19:dd:c25:c25:dd:dd:dd:f283
672c19:dd:c25:c25:dd:dd:dd:f284/1272c19:dd:c25:c25:dd:dd:dd:f285
682c19:dd:c25:c25:dd:dd:dd:f286/1272c19:dd:c25:c25:dd:dd:dd:f287
692c19:dd:c25:c25:dd:dd:dd:f288/1272c19:dd:c25:c25:dd:dd:dd:f289
702c19:dd:c25:c25:dd:dd:dd:f28a/1272c19:dd:c25:c25:dd:dd:dd:f28b
712c19:dd:c25:c25:dd:dd:dd:f28c/1272c19:dd:c25:c25:dd:dd:dd:f28d
722c19:dd:c25:c25:dd:dd:dd:f28e/1272c19:dd:c25:c25:dd:dd:dd:f28f
732c19:dd:c25:c25:dd:dd:dd:f290/1272c19:dd:c25:c25:dd:dd:dd:f291
742c19:dd:c25:c25:dd:dd:dd:f292/1272c19:dd:c25:c25:dd:dd:dd:f293
752c19:dd:c25:c25:dd:dd:dd:f294/1272c19:dd:c25:c25:dd:dd:dd:f295
762c19:dd:c25:c25:dd:dd:dd:f296/1272c19:dd:c25:c25:dd:dd:dd:f297
772c19:dd:c25:c25:dd:dd:dd:f298/1272c19:dd:c25:c25:dd:dd:dd:f299
782c19:dd:c25:c25:dd:dd:dd:f29a/1272c19:dd:c25:c25:dd:dd:dd:f29b
792c19:dd:c25:c25:dd:dd:dd:f29c/1272c19:dd:c25:c25:dd:dd:dd:f29d
802c19:dd:c25:c25:dd:dd:dd:f29e/1272c19:dd:c25:c25:dd:dd:dd:f29f
812c19:dd:c25:c25:dd:dd:dd:f2a0/1272c19:dd:c25:c25:dd:dd:dd:f2a1
822c19:dd:c25:c25:dd:dd:dd:f2a2/1272c19:dd:c25:c25:dd:dd:dd:f2a3
832c19:dd:c25:c25:dd:dd:dd:f2a4/1272c19:dd:c25:c25:dd:dd:dd:f2a5
842c19:dd:c25:c25:dd:dd:dd:f2a6/1272c19:dd:c25:c25:dd:dd:dd:f2a7
852c19:dd:c25:c25:dd:dd:dd:f2a8/1272c19:dd:c25:c25:dd:dd:dd:f2a9
862c19:dd:c25:c25:dd:dd:dd:f2aa/1272c19:dd:c25:c25:dd:dd:dd:f2ab
872c19:dd:c25:c25:dd:dd:dd:f2ac/1272c19:dd:c25:c25:dd:dd:dd:f2ad
882c19:dd:c25:c25:dd:dd:dd:f2ae/1272c19:dd:c25:c25:dd:dd:dd:f2af
892c19:dd:c25:c25:dd:dd:dd:f2b0/1272c19:dd:c25:c25:dd:dd:dd:f2b1
902c19:dd:c25:c25:dd:dd:dd:f2b2/1272c19:dd:c25:c25:dd:dd:dd:f2b3
912c19:dd:c25:c25:dd:dd:dd:f2b4/1272c19:dd:c25:c25:dd:dd:dd:f2b5
922c19:dd:c25:c25:dd:dd:dd:f2b6/1272c19:dd:c25:c25:dd:dd:dd:f2b7
932c19:dd:c25:c25:dd:dd:dd:f2b8/1272c19:dd:c25:c25:dd:dd:dd:f2b9
942c19:dd:c25:c25:dd:dd:dd:f2ba/1272c19:dd:c25:c25:dd:dd:dd:f2bb
952c19:dd:c25:c25:dd:dd:dd:f2bc/1272c19:dd:c25:c25:dd:dd:dd:f2bd
962c19:dd:c25:c25:dd:dd:dd:f2be/1272c19:dd:c25:c25:dd:dd:dd:f2bf
972c19:dd:c25:c25:dd:dd:dd:f2c0/1272c19:dd:c25:c25:dd:dd:dd:f2c1
982c19:dd:c25:c25:dd:dd:dd:f2c2/1272c19:dd:c25:c25:dd:dd:dd:f2c3
992c19:dd:c25:c25:dd:dd:dd:f2c4/1272c19:dd:c25:c25:dd:dd:dd:f2c5
1002c19:dd:c25:c25:dd:dd:dd:f2c6/1272c19:dd:c25:c25:dd:dd:dd:f2c7
1012c19:dd:c25:c25:dd:dd:dd:f2c8/1272c19:dd:c25:c25:dd:dd:dd:f2c9
1022c19:dd:c25:c25:dd:dd:dd:f2ca/1272c19:dd:c25:c25:dd:dd:dd:f2cb
1032c19:dd:c25:c25:dd:dd:dd:f2cc/1272c19:dd:c25:c25:dd:dd:dd:f2cd
1042c19:dd:c25:c25:dd:dd:dd:f2ce/1272c19:dd:c25:c25:dd:dd:dd:f2cf
1052c19:dd:c25:c25:dd:dd:dd:f2d0/1272c19:dd:c25:c25:dd:dd:dd:f2d1
1062c19:dd:c25:c25:dd:dd:dd:f2d2/1272c19:dd:c25:c25:dd:dd:dd:f2d3
1072c19:dd:c25:c25:dd:dd:dd:f2d4/1272c19:dd:c25:c25:dd:dd:dd:f2d5
1082c19:dd:c25:c25:dd:dd:dd:f2d6/1272c19:dd:c25:c25:dd:dd:dd:f2d7
1092c19:dd:c25:c25:dd:dd:dd:f2d8/1272c19:dd:c25:c25:dd:dd:dd:f2d9
1102c19:dd:c25:c25:dd:dd:dd:f2da/1272c19:dd:c25:c25:dd:dd:dd:f2db
1112c19:dd:c25:c25:dd:dd:dd:f2dc/1272c19:dd:c25:c25:dd:dd:dd:f2dd
1122c19:dd:c25:c25:dd:dd:dd:f2de/1272c19:dd:c25:c25:dd:dd:dd:f2df
1132c19:dd:c25:c25:dd:dd:dd:f2e0/1272c19:dd:c25:c25:dd:dd:dd:f2e1
1142c19:dd:c25:c25:dd:dd:dd:f2e2/1272c19:dd:c25:c25:dd:dd:dd:f2e3
1152c19:dd:c25:c25:dd:dd:dd:f2e4/1272c19:dd:c25:c25:dd:dd:dd:f2e5
1162c19:dd:c25:c25:dd:dd:dd:f2e6/1272c19:dd:c25:c25:dd:dd:dd:f2e7
1172c19:dd:c25:c25:dd:dd:dd:f2e8/1272c19:dd:c25:c25:dd:dd:dd:f2e9
1182c19:dd:c25:c25:dd:dd:dd:f2ea/1272c19:dd:c25:c25:dd:dd:dd:f2eb
1192c19:dd:c25:c25:dd:dd:dd:f2ec/1272c19:dd:c25:c25:dd:dd:dd:f2ed
1202c19:dd:c25:c25:dd:dd:dd:f2ee/1272c19:dd:c25:c25:dd:dd:dd:f2ef
1212c19:dd:c25:c25:dd:dd:dd:f2f0/1272c19:dd:c25:c25:dd:dd:dd:f2f1
1222c19:dd:c25:c25:dd:dd:dd:f2f2/1272c19:dd:c25:c25:dd:dd:dd:f2f3
1232c19:dd:c25:c25:dd:dd:dd:f2f4/1272c19:dd:c25:c25:dd:dd:dd:f2f5
1242c19:dd:c25:c25:dd:dd:dd:f2f6/1272c19:dd:c25:c25:dd:dd:dd:f2f7
1252c19:dd:c25:c25:dd:dd:dd:f2f8/1272c19:dd:c25:c25:dd:dd:dd:f2f9
1262c19:dd:c25:c25:dd:dd:dd:f2fa/1272c19:dd:c25:c25:dd:dd:dd:f2fb
1272c19:dd:c25:c25:dd:dd:dd:f2fc/1272c19:dd:c25:c25:dd:dd:dd:f2fd
1282c19:dd:c25:c25:dd:dd:dd:f2fe/1272c19:dd:c25:c25:dd:dd:dd:f2ff
1292c19:dd:c25:c25:dd:dd:dd:f300/1272c19:dd:c25:c25:dd:dd:dd:f301
1302c19:dd:c25:c25:dd:dd:dd:f302/1272c19:dd:c25:c25:dd:dd:dd:f303
1312c19:dd:c25:c25:dd:dd:dd:f304/1272c19:dd:c25:c25:dd:dd:dd:f305
1322c19:dd:c25:c25:dd:dd:dd:f306/1272c19:dd:c25:c25:dd:dd:dd:f307
1332c19:dd:c25:c25:dd:dd:dd:f308/1272c19:dd:c25:c25:dd:dd:dd:f309
1342c19:dd:c25:c25:dd:dd:dd:f30a/1272c19:dd:c25:c25:dd:dd:dd:f30b
1352c19:dd:c25:c25:dd:dd:dd:f30c/1272c19:dd:c25:c25:dd:dd:dd:f30d
1362c19:dd:c25:c25:dd:dd:dd:f30e/1272c19:dd:c25:c25:dd:dd:dd:f30f
1372c19:dd:c25:c25:dd:dd:dd:f310/1272c19:dd:c25:c25:dd:dd:dd:f311
1382c19:dd:c25:c25:dd:dd:dd:f312/1272c19:dd:c25:c25:dd:dd:dd:f313
1392c19:dd:c25:c25:dd:dd:dd:f314/1272c19:dd:c25:c25:dd:dd:dd:f315
1402c19:dd:c25:c25:dd:dd:dd:f316/1272c19:dd:c25:c25:dd:dd:dd:f317
1412c19:dd:c25:c25:dd:dd:dd:f318/1272c19:dd:c25:c25:dd:dd:dd:f319
1422c19:dd:c25:c25:dd:dd:dd:f31a/1272c19:dd:c25:c25:dd:dd:dd:f31b
1432c19:dd:c25:c25:dd:dd:dd:f31c/1272c19:dd:c25:c25:dd:dd:dd:f31d
1442c19:dd:c25:c25:dd:dd:dd:f31e/1272c19:dd:c25:c25:dd:dd:dd:f31f
1452c19:dd:c25:c25:dd:dd:dd:f320/1272c19:dd:c25:c25:dd:dd:dd:f321
1462c19:dd:c25:c25:dd:dd:dd:f322/1272c19:dd:c25:c25:dd:dd:dd:f323
1472c19:dd:c25:c25:dd:dd:dd:f324/1272c19:dd:c25:c25:dd:dd:dd:f325
1482c19:dd:c25:c25:dd:dd:dd:f326/1272c19:dd:c25:c25:dd:dd:dd:f327
1492c19:dd:c25:c25:dd:dd:dd:f328/1272c19:dd:c25:c25:dd:dd:dd:f329
1502c19:dd:c25:c25:dd:dd:dd:f32a/1272c19:dd:c25:c25:dd:dd:dd:f32b
1512c19:dd:c25:c25:dd:dd:dd:f32c/1272c19:dd:c25:c25:dd:dd:dd:f32d
1522c19:dd:c25:c25:dd:dd:dd:f32e/1272c19:dd:c25:c25:dd:dd:dd:f32f
1532c19:dd:c25:c25:dd:dd:dd:f330/1272c19:dd:c25:c25:dd:dd:dd:f331
1542c19:dd:c25:c25:dd:dd:dd:f332/1272c19:dd:c25:c25:dd:dd:dd:f333
1552c19:dd:c25:c25:dd:dd:dd:f334/1272c19:dd:c25:c25:dd:dd:dd:f335
1562c19:dd:c25:c25:dd:dd:dd:f336/1272c19:dd:c25:c25:dd:dd:dd:f337
1572c19:dd:c25:c25:dd:dd:dd:f338/1272c19:dd:c25:c25:dd:dd:dd:f339
1582c19:dd:c25:c25:dd:dd:dd:f33a/1272c19:dd:c25:c25:dd:dd:dd:f33b
1592c19:dd:c25:c25:dd:dd:dd:f33c/1272c19:dd:c25:c25:dd:dd:dd:f33d
1602c19:dd:c25:c25:dd:dd:dd:f33e/1272c19:dd:c25:c25:dd:dd:dd:f33f
1612c19:dd:c25:c25:dd:dd:dd:f340/1272c19:dd:c25:c25:dd:dd:dd:f341
1622c19:dd:c25:c25:dd:dd:dd:f342/1272c19:dd:c25:c25:dd:dd:dd:f343
1632c19:dd:c25:c25:dd:dd:dd:f344/1272c19:dd:c25:c25:dd:dd:dd:f345
1642c19:dd:c25:c25:dd:dd:dd:f346/1272c19:dd:c25:c25:dd:dd:dd:f347
1652c19:dd:c25:c25:dd:dd:dd:f348/1272c19:dd:c25:c25:dd:dd:dd:f349
1662c19:dd:c25:c25:dd:dd:dd:f34a/1272c19:dd:c25:c25:dd:dd:dd:f34b
1672c19:dd:c25:c25:dd:dd:dd:f34c/1272c19:dd:c25:c25:dd:dd:dd:f34d
1682c19:dd:c25:c25:dd:dd:dd:f34e/1272c19:dd:c25:c25:dd:dd:dd:f34f
1692c19:dd:c25:c25:dd:dd:dd:f350/1272c19:dd:c25:c25:dd:dd:dd:f351
1702c19:dd:c25:c25:dd:dd:dd:f352/1272c19:dd:c25:c25:dd:dd:dd:f353
1712c19:dd:c25:c25:dd:dd:dd:f354/1272c19:dd:c25:c25:dd:dd:dd:f355
1722c19:dd:c25:c25:dd:dd:dd:f356/1272c19:dd:c25:c25:dd:dd:dd:f357
1732c19:dd:c25:c25:dd:dd:dd:f358/1272c19:dd:c25:c25:dd:dd:dd:f359
1742c19:dd:c25:c25:dd:dd:dd:f35a/1272c19:dd:c25:c25:dd:dd:dd:f35b
1752c19:dd:c25:c25:dd:dd:dd:f35c/1272c19:dd:c25:c25:dd:dd:dd:f35d
1762c19:dd:c25:c25:dd:dd:dd:f35e/1272c19:dd:c25:c25:dd:dd:dd:f35f
1772c19:dd:c25:c25:dd:dd:dd:f360/1272c19:dd:c25:c25:dd:dd:dd:f361
1782c19:dd:c25:c25:dd:dd:dd:f362/1272c19:dd:c25:c25:dd:dd:dd:f363
1792c19:dd:c25:c25:dd:dd:dd:f364/1272c19:dd:c25:c25:dd:dd:dd:f365
1802c19:dd:c25:c25:dd:dd:dd:f366/1272c19:dd:c25:c25:dd:dd:dd:f367
1812c19:dd:c25:c25:dd:dd:dd:f368/1272c19:dd:c25:c25:dd:dd:dd:f369
1822c19:dd:c25:c25:dd:dd:dd:f36a/1272c19:dd:c25:c25:dd:dd:dd:f36b
1832c19:dd:c25:c25:dd:dd:dd:f36c/1272c19:dd:c25:c25:dd:dd:dd:f36d
1842c19:dd:c25:c25:dd:dd:dd:f36e/1272c19:dd:c25:c25:dd:dd:dd:f36f
1852c19:dd:c25:c25:dd:dd:dd:f370/1272c19:dd:c25:c25:dd:dd:dd:f371
1862c19:dd:c25:c25:dd:dd:dd:f372/1272c19:dd:c25:c25:dd:dd:dd:f373
1872c19:dd:c25:c25:dd:dd:dd:f374/1272c19:dd:c25:c25:dd:dd:dd:f375
1882c19:dd:c25:c25:dd:dd:dd:f376/1272c19:dd:c25:c25:dd:dd:dd:f377
1892c19:dd:c25:c25:dd:dd:dd:f378/1272c19:dd:c25:c25:dd:dd:dd:f379
1902c19:dd:c25:c25:dd:dd:dd:f37a/1272c19:dd:c25:c25:dd:dd:dd:f37b
1912c19:dd:c25:c25:dd:dd:dd:f37c/1272c19:dd:c25:c25:dd:dd:dd:f37d
1922c19:dd:c25:c25:dd:dd:dd:f37e/1272c19:dd:c25:c25:dd:dd:dd:f37f
1932c19:dd:c25:c25:dd:dd:dd:f380/1272c19:dd:c25:c25:dd:dd:dd:f381
1942c19:dd:c25:c25:dd:dd:dd:f382/1272c19:dd:c25:c25:dd:dd:dd:f383
1952c19:dd:c25:c25:dd:dd:dd:f384/1272c19:dd:c25:c25:dd:dd:dd:f385
1962c19:dd:c25:c25:dd:dd:dd:f386/1272c19:dd:c25:c25:dd:dd:dd:f387
1972c19:dd:c25:c25:dd:dd:dd:f388/1272c19:dd:c25:c25:dd:dd:dd:f389
1982c19:dd:c25:c25:dd:dd:dd:f38a/1272c19:dd:c25:c25:dd:dd:dd:f38b
1992c19:dd:c25:c25:dd:dd:dd:f38c/1272c19:dd:c25:c25:dd:dd:dd:f38d
2002c19:dd:c25:c25:dd:dd:dd:f38e/1272c19:dd:c25:c25:dd:dd:dd:f38f
2012c19:dd:c25:c25:dd:dd:dd:f390/1272c19:dd:c25:c25:dd:dd:dd:f391
2022c19:dd:c25:c25:dd:dd:dd:f392/1272c19:dd:c25:c25:dd:dd:dd:f393
2032c19:dd:c25:c25:dd:dd:dd:f394/1272c19:dd:c25:c25:dd:dd:dd:f395
2042c19:dd:c25:c25:dd:dd:dd:f396/1272c19:dd:c25:c25:dd:dd:dd:f397
2052c19:dd:c25:c25:dd:dd:dd:f398/1272c19:dd:c25:c25:dd:dd:dd:f399
2062c19:dd:c25:c25:dd:dd:dd:f39a/1272c19:dd:c25:c25:dd:dd:dd:f39b
2072c19:dd:c25:c25:dd:dd:dd:f39c/1272c19:dd:c25:c25:dd:dd:dd:f39d
2082c19:dd:c25:c25:dd:dd:dd:f39e/1272c19:dd:c25:c25:dd:dd:dd:f39f
2092c19:dd:c25:c25:dd:dd:dd:f3a0/1272c19:dd:c25:c25:dd:dd:dd:f3a1
2102c19:dd:c25:c25:dd:dd:dd:f3a2/1272c19:dd:c25:c25:dd:dd:dd:f3a3
2112c19:dd:c25:c25:dd:dd:dd:f3a4/1272c19:dd:c25:c25:dd:dd:dd:f3a5
2122c19:dd:c25:c25:dd:dd:dd:f3a6/1272c19:dd:c25:c25:dd:dd:dd:f3a7
2132c19:dd:c25:c25:dd:dd:dd:f3a8/1272c19:dd:c25:c25:dd:dd:dd:f3a9
2142c19:dd:c25:c25:dd:dd:dd:f3aa/1272c19:dd:c25:c25:dd:dd:dd:f3ab
2152c19:dd:c25:c25:dd:dd:dd:f3ac/1272c19:dd:c25:c25:dd:dd:dd:f3ad
2162c19:dd:c25:c25:dd:dd:dd:f3ae/1272c19:dd:c25:c25:dd:dd:dd:f3af
2172c19:dd:c25:c25:dd:dd:dd:f3b0/1272c19:dd:c25:c25:dd:dd:dd:f3b1
2182c19:dd:c25:c25:dd:dd:dd:f3b2/1272c19:dd:c25:c25:dd:dd:dd:f3b3
2192c19:dd:c25:c25:dd:dd:dd:f3b4/1272c19:dd:c25:c25:dd:dd:dd:f3b5
2202c19:dd:c25:c25:dd:dd:dd:f3b6/1272c19:dd:c25:c25:dd:dd:dd:f3b7
2212c19:dd:c25:c25:dd:dd:dd:f3b8/1272c19:dd:c25:c25:dd:dd:dd:f3b9
2222c19:dd:c25:c25:dd:dd:dd:f3ba/1272c19:dd:c25:c25:dd:dd:dd:f3bb
2232c19:dd:c25:c25:dd:dd:dd:f3bc/1272c19:dd:c25:c25:dd:dd:dd:f3bd
2242c19:dd:c25:c25:dd:dd:dd:f3be/1272c19:dd:c25:c25:dd:dd:dd:f3bf
2252c19:dd:c25:c25:dd:dd:dd:f3c0/1272c19:dd:c25:c25:dd:dd:dd:f3c1
2262c19:dd:c25:c25:dd:dd:dd:f3c2/1272c19:dd:c25:c25:dd:dd:dd:f3c3
2272c19:dd:c25:c25:dd:dd:dd:f3c4/1272c19:dd:c25:c25:dd:dd:dd:f3c5
2282c19:dd:c25:c25:dd:dd:dd:f3c6/1272c19:dd:c25:c25:dd:dd:dd:f3c7
2292c19:dd:c25:c25:dd:dd:dd:f3c8/1272c19:dd:c25:c25:dd:dd:dd:f3c9
2302c19:dd:c25:c25:dd:dd:dd:f3ca/1272c19:dd:c25:c25:dd:dd:dd:f3cb
2312c19:dd:c25:c25:dd:dd:dd:f3cc/1272c19:dd:c25:c25:dd:dd:dd:f3cd
2322c19:dd:c25:c25:dd:dd:dd:f3ce/1272c19:dd:c25:c25:dd:dd:dd:f3cf
2332c19:dd:c25:c25:dd:dd:dd:f3d0/1272c19:dd:c25:c25:dd:dd:dd:f3d1
2342c19:dd:c25:c25:dd:dd:dd:f3d2/1272c19:dd:c25:c25:dd:dd:dd:f3d3
2352c19:dd:c25:c25:dd:dd:dd:f3d4/1272c19:dd:c25:c25:dd:dd:dd:f3d5
2362c19:dd:c25:c25:dd:dd:dd:f3d6/1272c19:dd:c25:c25:dd:dd:dd:f3d7
2372c19:dd:c25:c25:dd:dd:dd:f3d8/1272c19:dd:c25:c25:dd:dd:dd:f3d9
2382c19:dd:c25:c25:dd:dd:dd:f3da/1272c19:dd:c25:c25:dd:dd:dd:f3db
2392c19:dd:c25:c25:dd:dd:dd:f3dc/1272c19:dd:c25:c25:dd:dd:dd:f3dd
2402c19:dd:c25:c25:dd:dd:dd:f3de/1272c19:dd:c25:c25:dd:dd:dd:f3df
2412c19:dd:c25:c25:dd:dd:dd:f3e0/1272c19:dd:c25:c25:dd:dd:dd:f3e1
2422c19:dd:c25:c25:dd:dd:dd:f3e2/1272c19:dd:c25:c25:dd:dd:dd:f3e3
2432c19:dd:c25:c25:dd:dd:dd:f3e4/1272c19:dd:c25:c25:dd:dd:dd:f3e5
2442c19:dd:c25:c25:dd:dd:dd:f3e6/1272c19:dd:c25:c25:dd:dd:dd:f3e7
2452c19:dd:c25:c25:dd:dd:dd:f3e8/1272c19:dd:c25:c25:dd:dd:dd:f3e9
2462c19:dd:c25:c25:dd:dd:dd:f3ea/1272c19:dd:c25:c25:dd:dd:dd:f3eb
2472c19:dd:c25:c25:dd:dd:dd:f3ec/1272c19:dd:c25:c25:dd:dd:dd:f3ed
2482c19:dd:c25:c25:dd:dd:dd:f3ee/1272c19:dd:c25:c25:dd:dd:dd:f3ef
2492c19:dd:c25:c25:dd:dd:dd:f3f0/1272c19:dd:c25:c25:dd:dd:dd:f3f1
2502c19:dd:c25:c25:dd:dd:dd:f3f2/1272c19:dd:c25:c25:dd:dd:dd:f3f3
2512c19:dd:c25:c25:dd:dd:dd:f3f4/1272c19:dd:c25:c25:dd:dd:dd:f3f5
2522c19:dd:c25:c25:dd:dd:dd:f3f6/1272c19:dd:c25:c25:dd:dd:dd:f3f7
2532c19:dd:c25:c25:dd:dd:dd:f3f8/1272c19:dd:c25:c25:dd:dd:dd:f3f9
2542c19:dd:c25:c25:dd:dd:dd:f3fa/1272c19:dd:c25:c25:dd:dd:dd:f3fb
2552c19:dd:c25:c25:dd:dd:dd:f3fc/1272c19:dd:c25:c25:dd:dd:dd:f3fd
2562c19:dd:c25:c25:dd:dd:dd:f3fe/1272c19:dd:c25:c25:dd:dd:dd:f3ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses